/*
---------------------------------------------------------------------------
 $Revision: 1.1.2.1.4.1 $                                                                 
 $Date: 2013/07/23 12:15:36 $  

 NAME: cxa_ecv_apply_form_field_mappings.sas

 TYPE: Stored process

 DESCRIPTION: 
        Apply the form-field mappings created from the
        spreadsheet. Completely overwrites the metadata
        datasets: cxa_ecvfield_names and
        cxa_ecvsas_form_field_mappings in the "ECV
        configuration" library. 

 SAS VERSION:
 9.3
                                                 
 INPUT:
    _TARGFILE
        Type: File or directory
        Label: Location for DDL file for applying mappings
        Attr: Visible, Required

 OUTPUT:
 
 CALLS:
      
 CALLED BY (optional):

 PRECONDITIONS (optional):

 POSTCONDITIONS (optional):

 HISTORY:
 userid yyyymmdd defectid desc   
sinsuj 20130722 S0993615 Commented ods HTML section of the code 
------------------------------------------------------------------------------
 Copyright (c) 2005-2012, SAS Institute Inc., Cary, NC, USA, All Rights Reserved 
------------------------------------------------------------------------------
*/

%global _TARGFILE calledFromStoredProcess;

*ProcessBody;

%STPBEGIN;

OPTIONS VALIDVARNAME=ANY;
%macro ExtendValidMemName;
    %if %sysevalf(&sysver>=9.3) %then options validmemname=extend;
%mend ExtendValidMemName;
%ExtendValidMemName;

%let calledFromStoredProcess=YES;
%cxa_ecvPreProcess(DONOTPROCESSRUNFILES)
%cxa_ecvApplyMappingsDDL(targFile=&_TARGFILE)  
/*
ods html;
data _null_;
    NOTE="Stored Process Complete";
    output;
    file print ods;
    put _ods_ ;
run;
ods html close;
*/
%STPEND;
