/*
---------------------------------------------------------------------------
 $Revision: 1.1.2.2.4.1 $                                                                 
 $Date: 2013/07/23 12:15:49 $  

 NAME: cxa_ecv_initialize_and_prime.sas

 TYPE: Stored process

 DESCRIPTION: 
        Apply the form-field mappings created from the
        spreadsheet. Completely overwrites the metadata
        datasets: cxa_ecvfield_names and
        cxa_ecvsas_form_field_mappings in the "ECV
        configuration" library. 

 SAS VERSION:
 9.3
                                                 
 INPUT:
    _FOREIGNDDL
        Type: Text
        Label: (Optional.) Include custom DDL file (e.g. code generated by form-field mapping process)
        Attr: Visible

 OUTPUT:
 
 CALLS:
      
 CALLED BY (optional):

 PRECONDITIONS (optional):

 POSTCONDITIONS (optional):

 HISTORY:
 userid yyyymmdd defectid desc    
 sinsuj 20130722 S0993615 Commented ods HTML section of the code
------------------------------------------------------------------------------
 Copyright (c) 2005-2012, SAS Institute Inc., Cary, NC, USA, All Rights Reserved 
------------------------------------------------------------------------------
*/
%global _FOREIGNDDL calledFromStoredProcess;

*ProcessBody;

%STPBEGIN;

OPTIONS VALIDVARNAME=ANY;

%macro ExtendValidMemName;
    %if %sysevalf(&sysver>=9.3) %then options validmemname=extend;
%mend ExtendValidMemName;
%ExtendValidMemName;

%let calledFromStoredProcess=YES;
%cxa_ecvPreProcess(DONOTPROCESSRUNFILES INITIALIZE)
%cxa_ecvInitializeECV(runForeignDDL=&_FOREIGNDDL)
%let ECVtableMetadataDs=&controlLib..CXA_ECVTABLE_NAMES;
%cxa_ecvTableDef;

/*ods html;
data _null_;
    NOTE="Stored Process Complete";
    output;
    file print ods;
    put _ods_ ;
run;
ods html close;
*/
%STPEND;
